SpartanArchive
Date: 2019-10-22

org.jmol.adapter.readers.spartan

## Class SpartanArchive

- java.lang.Object
- - org.jmol.adapter.readers.spartan.SpartanArchive

-     class SpartanArchive
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `ac`
    `private java.lang.String` | `bondData`
    `private int` | `coefCount`
    `private java.lang.String` | `endCheck`
    `private int` | `gaussianCount`
    `private boolean` | `isSMOL`
    `private java.lang.String` | `line`
    `private int` | `moCount`
    `private int` | `modelAtomCount`
    `private int` | `modelCount`
    `private BasisFunctionReader` | `r`
    `private int` | `shellCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpartanArchive(BasisFunctionReader r, java.lang.String bondData, java.lang.String endCheck, int smolAtomCount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `addBonds(java.lang.String data, int ac0)`
    `private java.lang.String` | `getQuotedString(java.lang.String strQuote)`
    `private void` | `initialize(BasisFunctionReader r, java.lang.String bondData)`
    `private float` | `parseFloat(java.lang.String info)`
    `private int` | `parseInt(java.lang.String info)`
    `(package private) int` | `readArchive(java.lang.String infoLine, boolean haveGeometryLine, int ac0, boolean doAddAtoms)`
    `private void` | `readAtoms(int ac0, boolean doAddAtoms)`
    `(package private) void` | `readBasis()`
    `(package private) void` | `readDipole()`
    `private void` | `readEnergy()`
    `private java.lang.String` | `readLine()`
    `(package private) void` | `readMolecularOrbital()`
    `(package private) void` | `readProperties()`
    `private void` | `readProperty()`
    `(package private) void` | `readVibFreqs()`
    `private void` | `setDipole(java.lang.String[] tokens)`
    `private int` | `setInfo(java.lang.String info)`
    `private void` | `setVibrationsFromProperties()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelCount

          private int modelCount

    - #### modelAtomCount

          private int modelAtomCount

    - #### ac

          private int ac

    - #### bondData

          private java.lang.String bondData

    - #### moCount

          private int moCount

    - #### coefCount

          private int coefCount

    - #### shellCount

          private int shellCount

    - #### gaussianCount

          private int gaussianCount

    - #### endCheck

          private java.lang.String endCheck

    - #### isSMOL

          private boolean isSMOL

    - #### r

          private BasisFunctionReader r

    - #### line

          private java.lang.String line

  - ### Constructor Detail

    - #### SpartanArchive

          SpartanArchive(BasisFunctionReader r,
                         java.lang.String bondData,
                         java.lang.String endCheck,
                         int smolAtomCount)

  - ### Method Detail

    - #### initialize

          private void initialize(BasisFunctionReader r,
                                  java.lang.String bondData)

    - #### readArchive

          int readArchive(java.lang.String infoLine,
                          boolean haveGeometryLine,
                          int ac0,
                          boolean doAddAtoms)
                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### readEnergy

          private void readEnergy()
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setInfo

          private int setInfo(java.lang.String info)
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### readAtoms

          private void readAtoms(int ac0,
                                 boolean doAddAtoms)
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addBonds

          void addBonds(java.lang.String data,
                        int ac0)

    - #### readBasis

          void readBasis()
                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### readMolecularOrbital

          void readMolecularOrbital()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### readProperties

          void readProperties()
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### readDipole

          void readDipole()
                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setDipole

          private void setDipole(java.lang.String[] tokens)

    - #### readProperty

          private void readProperty()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### readVibFreqs

          void readVibFreqs()
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setVibrationsFromProperties

          private void setVibrationsFromProperties()
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getQuotedString

          private java.lang.String getQuotedString(java.lang.String strQuote)

    - #### parseInt

          private int parseInt(java.lang.String info)

    - #### parseFloat

          private float parseFloat(java.lang.String info)

    - #### readLine

          private java.lang.String readLine()
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`